# t (Test integrity of archive) command

Tests archive files.

#### Example

    7z t archive.zip *.doc -r

tests *.doc files in archive archive.zip.

#### Notes

7-Zip doesn't use the system wildcard parser. 7-Zip doesn't follow the archaic rule by which *.* means any file. 7-Zip treats *.* as matching the name of any file that has an extension. To process all files, you must use a * wildcard.

#### Switches that can be used with this command

-ai (Include archives)
-an (Disable parsing of archive_name)
-ax (Exclude archives)
-bb (Set output log level)
-i (Include)
-p (Set Password)
-r (Recurse)
-sns (Store NTFS alternate Streams)
-stx (Exclude archive type)
-t (Type of archive)
-x (Exclude)
-scrc (Set hash method)